# How to charge the LiPo batteries

This tutorial includes instructions to safely charge the Li-Po battery. The quadcopter uses a 3S Li-Po battery with 11.1V nominal voltage.

1. Start by turning on the charging station’s power supply, which should be on the left side of the charging station. The power supply should be at 17 volts.
  ![image](/uploads/fa01915053a07486dfce28ba4f7c32f5/image.png)
2. On the charging station:
  - Connect the balancer (connector with many white slots) and the charging cable (yellow connector)  to the charging station.
  ![image](/uploads/0e19f7845a49d6fac19e7d728f0a69af/image.png)
  - Cycle through (Hit “Enter” and use “Up” and “down” to cycle) the memory banks until you find the correct setting for the battery you are using. The one in this demonstration is a LiPo with nominal voltage of 11.1V and a capacity of 2200 mah. The correct settings for this battery is located under memory no. 6. 
3. Connect the battery to the balancer and charging cable. Plug the balancer into the slot corresponding the number of cells the battery has. In this case the battery is 3 cells so you would plug it into the 3S balancer slot.
  ![image](/uploads/d1db7c34b5c4433b575b30709711b943/image.png)
4. Hold “Enter” on the charging station until it prompts you for “Charge Start Solo Mode”. Hold “Enter” again to check and confirm the battery’s voltage and cell count.
  ![image](/uploads/4314a5d12fd63b007489a232ee482ce6/image.png)
  ![image](/uploads/bc8ea0722ed7b1de6b105ea8503b0675/image.png)
5. Press “Enter” to start the charging process.
  ![image](/uploads/f1a0c5f9cf659df573893d4954422014/image.png)
6. When the battery is done charging the charging station will make a continuous ringing sound. The screen on the charging station will say “LiPo End/CHG”. Hold “Enter” to return to the main menu. Unplug the battery from the charging cable and the balancer. Power off the charging station’s power supply.
  ![image](/uploads/930b76e122fa1507a62ad84cc72fa4c1/image.png)


